import request from '@/utils/request'

// 查询语音网关列表
export function listInfo(query) {
  return request({
    url: '/gateway/info/list',
    method: 'get',
    params: query
  })
}

// 查询语音网关详细
export function getInfo(id) {
  return request({
    url: '/gateway/info/' + id,
    method: 'get'
  })
}

// 新增语音网关
export function addInfo(data) {
  return request({
    url: '/gateway/info',
    method: 'post',
    data: data
  })
}

// 修改语音网关
export function updateInfo(data) {
  return request({
    url: '/gateway/info',
    method: 'put',
    data: data
  })
}

// 删除语音网关
export function delInfo(id) {
  return request({
    url: '/gateway/info/' + id,
    method: 'delete'
  })
}
